Bug 180898 - desktop-file-utils: %post: update-desktop-database
desktop-file-utils: %post: update-desktop-database
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: desktop-file-utils (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
: EasyFix
Depends On:
Blocks: FC4Update
  Show dependency treegraph
 
Reported: 2006-02-10 07:45 EST by Rex Dieter
Modified: 2013-01-09 22:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-07 11:07:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2006-02-10 07:45:44 EST
Should include a scriptlet, something like:
%post
update-desktop-database -q ||:

So the database gets refreshed immediately upon install.
Comment 1 Toshio Kuratomi 2006-02-10 11:41:09 EST
A discussion leading to this took place on the fedora-extras list:
https://www.redhat.com/archives/fedora-extras-list/2006-February/msg00107.html
Comment 2 Ray Strode [halfline] 2006-02-10 13:33:40 EST
should be fixed in tomorrow's rawhide.
Comment 3 Rex Dieter 2006-02-10 14:15:02 EST
NOTE: you probably only want this in %post, not %postun, since
update-desktop-database won't be available when/if
rpm -e desktop-file-utils.

As an aside, you probably should put ||: at the end of each command so the
scriptlet won't die on encounterring errors.
Comment 4 Ray Strode [halfline] 2006-02-10 15:57:40 EST
Thanks Rex.

Will but updated shortly to use %preun instead of %postun and to ignore failures.
Comment 5 Rex Dieter 2006-03-13 08:29:35 EST
Can/will this fix be backported to the FC-4 branch?
Comment 6 Ray Strode [halfline] 2006-03-13 19:02:23 EST
Conceivably, let's get it on the tracker.
Comment 7 Jesse Keating 2006-07-24 17:12:21 EDT
Ping status on getting this out for FC-4?
Comment 8 Ray Strode [halfline] 2006-11-07 11:07:40 EST
probably a bit too late at this point.  I'm going to close this.  Rex, if you're
still really interested in seeing this for FC4 reopen and I'll go ahead and push
an update.
Comment 9 Rex Dieter 2006-11-07 11:16:30 EST
me?  I don't care all that much (anymore).  Jesse cares for legacy though.

Note You need to log in before you can comment on or make changes to this bug.